# Create a new data source reprocess job

Create a new data source reprocess job to trigger the reprocessing of an existing data source.

Endpoint: POST /v2/data-source-reprocess-jobs
Version: 1.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    apiKey in header Authorization

  - `appkey` (unknown)
    apiKey in header appkey

## Header parameters:

  - `slb-partition-id` (string, required)
    Data partition id.

## Request body:

  - `application/json` (unknown)
    The data source reprocessing job that needs to be triggered.

## Request fields (application/json):

  - `id` (string, required)
    The id for data source.
    Example: 01JY6YVV4QPRH7W4TY64BXEDB6

  - `version` (integer, required)
    The version for data source.
    Example: 1

  - `dataProviders` (object)
    List of data providers
    Example: {"items":[{"name":"Base","description":"Base price forecast deck","sources":["https://corp.commercials.data-agent.com/reference/2fbcc17c7700258b/base"]},{"name":"Stress","description":"Stress price fo…

  - `dataProviders.items` (array, required)

  - `dataProviders.items.name` (string, required)
    Name of Data Provider.
    Example: Base

  - `dataProviders.items.sources` (array, required)
    List of sources that contributes to data.

  - `dataProviders.items.description` (string)
    The description for data provider.
    Example: Base price forecast deck

  - `dataProviders.items.metadata` (object)
    The data provider metadata.

## Response 202:

  - `202` (unknown)
    Data source reprocessing job successfully created.

## Response 202 fields (application/json):

  - `id` (string, required)
    The id for data source reprocess job.
    Example: 01JY6YFQ5F7MYPDM3TXCGG02N2

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 451:

  - `451` (unknown)
    Unavailable for legal reasons.

## Response 451 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

